%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d
%define subrel 3

Name:		p11-kit
Summary:	Load and enumerate PKCS#11 modules
Version:	0.20.1
Release:	%mkrel 3

Group:		System/Libraries
Url:		http://p11-glue.freedesktop.org/p11-kit.html
Source0:	http://p11-glue.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0:		p11-kit-0.20.1-mmap.patch
License:	Apache License
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(gtk-doc)

%description
Provides a way to load and enumerate PKCS#11 modules. Provides a standard
configuration setup for installing PKCS#11 modules in such a way that
they're discoverable.

Also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.

%package -n %{libname}
Summary:	Library and proxy module for properly loading and sharing PKCS#11 modules
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Provides a way to load and enumerate PKCS#11 modules. Provides a standard
configuration setup for installing PKCS#11 modules in such a way that
they're discoverable.

Also solves problems with coordinating the use of PKCS#11 by different
components or libraries living in the same process.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package        trust
Summary:        System trust module from %{name}
Requires:	%{name} = %{version}-%{release}

%description    trust
The %{name}-trust package contains a system trust PKCS#11 module which
contains certificate anchors and black lists.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--enable-doc
%make

%install
%makeinstall_std

#dirs for configs etc
mkdir -p %{buildroot}%{_sysconfdir}/pkcs11/modules

# install the example config file as config file (mga #12696)
mv %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf.example %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf

# we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

# Disable for now as it fails on 32-bit
# Need more investigation and a fix
#%check
#%make check

# remove invalid empty config file installed by default until p11-kit-0.20.1-3 (mga #12696)
%pretrans
if [ -f /etc/pkcs11/pkcs11.conf -a ! -s /etc/pkcs11/pkcs11.conf ]; then
  rm -f /etc/pkcs11/pkcs11.conf
fi

%files
%doc p11-kit/pkcs11.conf.example
%{_bindir}/%{name}
%dir %{_sysconfdir}/pkcs11
%dir %{_sysconfdir}/pkcs11/modules
%config(noreplace) %{_sysconfdir}/pkcs11/pkcs11.conf
%dir %{_libdir}/p11-kit
%dir %{_datadir}/p11-kit
%dir %{_datadir}/p11-kit/modules
%{_mandir}/man?/%{name}.*.*
%{_mandir}/man?/pkcs11.conf.*.*

%files -n %{libname}
%doc AUTHORS NEWS
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-1
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-1.pc

%files trust
%{_bindir}/trust
%{_libdir}/p11-kit/trust-extract-compat
%{_libdir}/pkcs11/p11-kit-trust.so
%{_datadir}/p11-kit/modules/p11-kit-trust.module
%{_mandir}/man?/trust.*.*


%changelog
* Wed Feb 12 2014 lmenut <lmenut> 0.20.1-3.3.mga4
+ Revision: 589909
- remove requires to rpm-helper after posttrans removal
- install valid pkcs11.conf (mga#12696)
  + remove invalid empty config file in pretrans
  + install upstream example config as default config

  + sander85 <sander85>
    - Fix handling of mmap failure (by pterjan)

* Tue Oct 29 2013 tv <tv> 0.20.1-3.mga4
+ Revision: 547769
- move rpm-helper %%post in %%posttrans (trying to fix install deps loop errors)

* Sat Oct 19 2013 umeabot <umeabot> 0.20.1-2.mga4
+ Revision: 535052
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 0.20.1-1.mga4
+ Revision: 480854
- disable %%check for now as it fails in 32-bit
- new version 0.20.1
- enable man page

* Tue Jul 23 2013 luigiwalser <luigiwalser> 0.18.5-1.mga4
+ Revision: 457503
- 0.18.5

* Sun May 26 2013 blino <blino> 0.18.2-1.mga4
+ Revision: 428249
- buildrequire pkgconfig(libtasn1)
- package trust module in a subpackage
- 0.18.2

* Sun Jan 13 2013 umeabot <umeabot> 0.14-2.mga3
+ Revision: 362317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 0.14-1.mga3
+ Revision: 294398
- new version 0.14

* Mon Jul 16 2012 wally <wally> 0.13-1.mga3
+ Revision: 271336
- new version 0.13

* Tue May 29 2012 dams <dams> 0.12-1.mga3
+ Revision: 249107
- new version 0.12
- add a 'requires(post)' on 'rpm-helper'

* Fri Feb 10 2012 wally <wally> 0.11-1.mga2
+ Revision: 206898
- new version 0.11

* Tue Jan 03 2012 wally <wally> 0.10-1.mga2
+ Revision: 189984
- new version 0.10

* Thu Nov 17 2011 wally <wally> 0.9-1.mga2
+ Revision: 168377
- new version 0.9

* Thu Oct 27 2011 wally <wally> 0.8-1.mga2
+ Revision: 158797
- new version 0.8

* Wed Sep 28 2011 wally <wally> 0.7-1.mga2
+ Revision: 149934
- new version 0.7

* Fri Sep 16 2011 wally <wally> 0.6-1.mga2
+ Revision: 144292
- new version 0.6

* Mon Sep 05 2011 wally <wally> 0.5-1.mga2
+ Revision: 138880
- new version 0.5
- new version 0.4
- make devel package require the lib one
- fix requires
- imported package p11-kit

  + fwang <fwang>
    - new version 0.3

